Get metric audit log summary export

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/audit-summary/{metric}/export

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
  • metric string Required

    Values are CriticalChanges, NearCriticalChanges, ActivityChanges, ActivitiesAdded, ActivitiesDeleted, LogicChanges, DurationChanges, DelayedActivityChanges, AllCalendarChanges, CalendarChanges, WorkingDayChanges, or FlaggedChanges.

Query parameters

  • dataDate string
  • columns array[string]

    Values are AUDIT_DATE, FRIENDLY_ID, WBS_NAME, TRADE, PREDECESSOR, SUCCESSOR, CHANGE_ITEM, OLD_VALUE, or NEW_VALUE.

  • sortColumn string

    Values are AUDIT_DATE, FRIENDLY_ID, WBS_NAME, TRADE, PREDECESSOR, SUCCESSOR, CHANGE_ITEM, OLD_VALUE, or NEW_VALUE.

  • sortDirection string

    Values are ASC or DESC.

Responses

  • 200 application/vnd.ms-excel

    OK

GET /project/{projectId}/scenario/{scenarioId}/audit-summary/{metric}/export
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/audit-summary/{metric}/export' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"